package com.yonge.cooleshow.cms.dto;

import com.yonge.cooleshow.cms.controller.queryinfo.NewsInformationQueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-04-24
 */
@ApiModel("app首页信息")
public class AppHomeDto {

    @ApiModelProperty("资讯")
    private List<SysNewsInformationDto> information;

    @ApiModelProperty("banner")
    private List<SysNewsInformationDto> banner;

    @ApiModelProperty("闪页")
    private List<SysNewsInformationDto> flashPage;

    @ApiModelProperty("app按钮")
    private List<SysNewsInformationDto> appMenu;

    public List<SysNewsInformationDto> getInformation() {
        return information;
    }

    public void setInformation(List<SysNewsInformationDto> information) {
        this.information = information;
    }

    public List<SysNewsInformationDto> getBanner() {
        return banner;
    }

    public void setBanner(List<SysNewsInformationDto> banner) {
        this.banner = banner;
    }

    public List<SysNewsInformationDto> getFlashPage() {
        return flashPage;
    }

    public void setFlashPage(List<SysNewsInformationDto> flashPage) {
        this.flashPage = flashPage;
    }

    public List<SysNewsInformationDto> getAppMenu() {
        return appMenu;
    }

    public void setAppMenu(List<SysNewsInformationDto> appMenu) {
        this.appMenu = appMenu;
    }
}
